Fix typo for container_repository_name in metadata_generate_needed?

05/06/2024 07:25 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Repositories   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases: Katello 4.13.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/109
Description

https://github.com/katello/katello/blob/master/app/models/katello/root_repository.rb#L391

Says "container_repsoitory_name" -> there's a typo.

I think metadata is still getting regenerated when the naming scheme changes, because you can re-pull the contents last I checked.

However, this should be revisited.

Associated revisions

Revision 1dbd1b9b - 05/07/2024 07:59 PM - Ian Ballou 

Fixes #37408 - remove metadata_generate_needed?

History

#1 - 05/06/2024 07:27 PM - Ian Ballou

- Assignee deleted (Ian Ballou)

metadata_generate_needed? is not used anywhere! It should be deleted.

#2 - 05/06/2024 07:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ian Ballou

- Pull request https://github.com/Katello/katello/pull/10986 added

#3 - 05/07/2024 07:59 PM - The Foreman Bot

- Fixed in Releases Katello 4.13.0 added

#4 - 05/07/2024 08:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|1dbd1b9bf32655ab957d7c6a78860b749bdbca05.

#5 - 05/08/2024 05:37 PM - Partha Aji

- Triaged changed from No to Yes
